> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /bing/news/articles/search

> Search Bing News articles by keyword. Returns matching news articles with title, source publisher, external article url, publish time, snippet and image. Supports recency and sort filters.

**Price:** 10 credits per 10 results



## OpenAPI

````yaml /openapi/news-publishing.json post /api/bing/news/articles/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/bing/news/articles/search:
    post:
      tags:
        - /bing
      summary: /bing/news/articles/search
      description: >-
        Search Bing News articles by keyword. Returns matching news articles
        with title, source publisher, external article url, publish time,
        snippet and image. Supports recency and sort filters.


        **Price:** 10 credits per 10 results
      operationId: __api_bing_news_articles_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BingNewsArticlesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BingNewsArticle'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BingNewsArticlesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        freshness:
          $ref: '#/components/schemas/BingNewsFreshness'
          default: any
        sort:
          $ref: '#/components/schemas/BingNewsSort'
          default: relevance
        market:
          $ref: '#/components/schemas/BingMarket'
          default: en-US
      type: object
      required:
        - keyword
        - count
    BingNewsArticle:
      properties:
        '@type':
          type: string
          default: BingNewsArticle
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        is_on_msn:
          type: boolean
          default: false
        published:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        snippet:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BingNewsFreshness:
      type: string
      enum:
        - any
        - hour
        - day
        - week
        - month
    BingNewsSort:
      type: string
      enum:
        - relevance
        - date
    BingMarket:
      type: string
      enum:
        - en-US
        - en-GB
        - en-CA
        - en-AU
        - en-IN
        - en-IE
        - en-NZ
        - en-PH
        - en-ZA
        - en-MY
        - en-SG
        - de-DE
        - de-AT
        - de-CH
        - fr-FR
        - fr-BE
        - fr-CA
        - fr-CH
        - es-ES
        - es-MX
        - es-AR
        - es-US
        - es-CL
        - it-IT
        - nl-NL
        - nl-BE
        - pt-BR
        - pt-PT
        - pl-PL
        - ru-RU
        - tr-TR
        - sv-SE
        - da-DK
        - fi-FI
        - nb-NO
        - ar-SA
        - he-IL
        - ja-JP
        - ko-KR
        - zh-CN
        - zh-HK
        - zh-TW
        - th-TH
        - id-ID
        - vi-VN
        - hi-IN
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````